Bug 497326 - VM crashes when adding or deleting USB tablet.
VM crashes when adding or deleting USB tablet.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.4
All Windows
low Severity low
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 08:12 EDT by Leonid Natapov
Modified: 2016-04-26 10:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-06 10:09:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Natapov 2009-04-23 08:12:11 EDT
Description of problem:
When adding or deleting USB tablet and starting VDA agent,VM crashes.


Steps to Reproduce:

1.Create VM.
2.Install VDA agent.
3.Stop VDA service.
4.Go to VDS and try to add or delete USB tablet 
vdsClient 0 monitorCommand <VM's UUID> "usb_add tablet" or "usb_del 0.1"
5.Start VDA service
  

Expected results:
BSOD.

Here is dump analyze.
-------------------------------------------------------------------------------

kd> !analyze -v
*******************************************************************************
*                                                                             *
*                        Bugcheck Analysis                                    *
*                                                                             *
*******************************************************************************

PNP_DETECTED_FATAL_ERROR (ca)
PnP encountered a severe error, either as a result of a problem in a driver or
a problem in PnP itself.  The first argument describes the nature of the
problem, the second argument is the address of the PDO.  The other arguments
vary depending on argument 1.
Arguments:
Arg1: 00000001, Duplicate PDO
	A specific instance of a driver has enumerated multiple PDOs with
	identical device id and unique ids.
Arg2: 8206ad28, Newly reported PDO.
Arg3: 8235c658, PDO of which it is a duplicate.
Arg4: 00000000

Debugging Details:
------------------

*** No owner thread found for resource 80551fe0
*** No owner thread found for resource 80551fe0
*** No owner thread found for resource 80551fe0
*** No owner thread found for resource 80551fe0

BUGCHECK_STR:  0xCA_1

DEVICE_OBJECT: 8206ad28

DRIVER_OBJECT: 825271d0

IMAGE_NAME:  hidusb.sys

DEBUG_FLR_IMAGE_TIMESTAMP:  480254c7

MODULE_NAME: hidusb

FAULTING_MODULE: f8b32000 hidusb

DEFAULT_BUCKET_ID:  INTEL_CPU_MICROCODE_ZERO

PROCESS_NAME:  System

LOCK_ADDRESS:  80552060 -- (!locks 80552060)

Resource @ nt!IopDeviceTreeLock (0x80552060)    Shared 1 owning threads
    Contention Count = 2
     Threads: 825c6da8-01<*> 
1 total locks, 1 locks currently held

PNP_TRIAGE: 
	Lock address  : 0x80552060
	Thread Count  : 1
	Thread address: 0x825c6da8
	Thread wait   : 0x2a2ea6

LAST_CONTROL_TRANSFER:  from 80586f45 to 804f8cc5

STACK_TEXT:  
f8ae19cc 80586f45 000000ca 00000001 8206ad28 nt!KeBugCheckEx+0x1b
f8ae1ac8 80587707 82118ae0 82360b88 825046f8 nt!PipProcessNewDeviceNode+0x5d1
f8ae1d1c 80587cd6 825046f8 00000001 00000000 nt!PipProcessDevNodeTree+0x16b
f8ae1d4c 804f58de 00000003 805520c0 8055b17c nt!PiRestartDevice+0x80
f8ae1d74 80534c12 00000000 00000000 825c6da8 nt!PipDeviceActionWorker+0x15e
f8ae1dac 805c61ec 00000000 00000000 00000000 nt!ExpWorkerThread+0x100
f8ae1ddc 80541de2 80534b12 00000001 00000000 nt!PspSystemThreadStartup+0x34
00000000 00000000 00000000 00000000 00000000 nt!KiThreadStartup+0x16


STACK_COMMAND:  kb

FOLLOWUP_NAME:  MachineOwner

FAILURE_BUCKET_ID:  0xCA_1_IMAGE_hidusb.sys_DATE_2008_04_13

BUCKET_ID:  0xCA_1_IMAGE_hidusb.sys_DATE_2008_04_13

Followup: MachineOwner
---------

kd>
Comment 1 Dor Laor 2009-04-23 16:50:41 EDT
What's a VDA agent? It might be a window's driver issue
Comment 2 Yaniv Kaul 2009-04-24 05:52:46 EDT
VDS is the SPICE agent (VDA = Virtual Desktop Agent)
Comment 3 Yaniv Kaul 2009-04-24 05:53:04 EDT
(In reply to comment #2)
> VDS is the SPICE agent (VDA = Virtual Desktop Agent)  
VDA, of course, not VDS.
Comment 4 RHEL Product and Program Management 2009-06-22 14:47:32 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Eduardo Habkost 2010-01-20 06:51:45 EST
On RHEL-6, the KVM userspace package is named "qemu-kvm". Moving bug to the right component.
Comment 6 Dor Laor 2010-05-06 10:09:22 EDT
It probably was reported against rhel5 and not rhel6.
In rhel5 it's not expected to work.

Note You need to log in before you can comment on or make changes to this bug.